get
https://{domainname}/ca_reports/getCustomerHoldData
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Used to retrieve the hold time duration for historical call records. Response data includes all details regarding hold time duration within a call.
Rate Limit:A maximum of 5 requests per minute is allowed.
Note:Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
Header parameters
| Parameter | Description |
|---|---|
| apiKey* | Your CloudAgent account API Key |
| Content-Type | application/json |
Body Params
{
"fromDate": "2024-11-28",
"toDate": "2024-11-28",
"userName": "xxxxx"
}
Possible responses
| Success response | "status": 1 "message": "Success", "data": {xxxxx} |
| Invalid apiKey | "status": 0 "message": "No user found", "data": "" |
| Invalid userName | "status": 0 "message": "No user found", "data": "" |
| Invalid Date format | "status": 0 "message": "Please pass the data in following format yyyy-mm-dd", "data": "" |
| Missing mandatory parameters | "status": 0 "message": "All parameters are mandatory", "data": "" |
| Get requests when another process is running | "status": 0 "message": "Already request is in progress, please try again", "data": "" |
| No records found | "status": 1 "message": "No data found", "data": [] |
